=== tools/gh_fsb/CMakeLists.txt ===
add_executable(gh_fsb_decrypt fsbext.c)

# add install target:
install(TARGETS gh_fsb_decrypt DESTINATION bin)
