=== debian/changelog ===
performous (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Update the local FindFreeType.cmake file to detect the latest version of
    FreeType2 and make the software compile again. (Closes: #732735)
  * Bump Standards-Version to 3.9.5, no changes.

 -- Markus Koschany <apo@gambaru.de>  Wed, 22 Jan 2014 21:02:04 +0100

performous (0.7.0-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Use canonical VCS-URI.
    - Remove versioned dependencies on boost libraries because they are
      trivially satisfied now.
    - Remove superfluous ${shlibs:Depends} substvar from performous-dbg
      package.
    - Bump Standards-Version to 3.9.4, no changes.
  * debian/copyright: Fix lintian issue copyright-refers-to-symlink-license and
    point to GPL-2 license.
  * Add use-Boost-TIME_UTC_-constant-unconditionally.patch. Use always the new
    Boost constant TIME_UTC_ and fix FTBFS with libboost1.49. (Closes: #710625)
  * Drop boost_filesystem_v2.patch. Not necessary for newer boost versions.

 -- Markus Koschany <apo@gambaru.de>  Sun, 30 Jun 2013 11:59:10 +0200

performous (0.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release.
  * Removed patches: jpeg-detection.patch and libav_api_change.patch
  * Upgraded debian/compat to 9.
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Changed my email address in debian/control to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Wed, 21 Nov 2012 00:01:41 +0100

performous (0.6.1-6) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Add libpango1.0-dev to Build-Depends to fix FTBFS. (Closes: #665256)

  [ Ansgar Burchardt ]
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 Apr 2012 10:04:51 +0200
