=== debian/changelog ===
performous (0.7.0+git20140715-2) unstable; urgency=medium

  * Add fix-imagemagick-detection.patch. (Closes: #767755)
    Detect ImageMagick library and build the ss_extract and ss_cover_conv
    binaries again which were accidentally dropped.
  * Add use-avconv.patch. (Closes: #699400)
    Replace ffmpeg command with avconv for ss_extract tool because ffmpeg
    will not be available for Jessie.
  * performous-tools: Depend on libav-tools because ss_extract requires
    the avconv command.
  * Move the package to Git. Change Vcs fields accordingly.

 -- Markus Koschany <apo@gambaru.de>  Sun, 02 Nov 2014 13:46:41 +0100

performous (0.7.0+git20140715-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0+git20140715.
    - Fixes FTBFS with libav10. (Closes: #739433, #754486)
  * Add libavresample-dev to Build-Depends. Needed for libav10.
  * Update README.source for new release.
  * Drop desktop-file.patch. Merged upstream.
  * Switch to SDL2 by using libsdl2-dev instead of libsdl1.2-dev.

 -- Markus Koschany <apo@gambaru.de>  Tue, 15 Jul 2014 16:42:04 +0200

performous (0.7.0+git20140217-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0+git20140217.
    - Update to recommended git master version. (Closes: #710332)
    - Fix audio noise when entering the game. (Closes: #740763)
  * Add myself to Uploaders.
  * Enable MIDI I/O support.
  * debian/rules:
    - Switch to dh sequencer and simplify debian/rules.
    - Build with --parallel.
    - Remove all overrides in regard to libda.
    - Use only required dh_auto_configure options.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
    - Do not create separate ultrastar directory anymore.
  * wrap-and-sort -sa
  * debian/control:
    - Remove unnecessary build-dependencies:
      + libsamplerate0-dev
      + libpulse-dev
      + libgstreamer0.10-dev
      + libjack-dev
    - Use libboost-all-dev instead of single boost libraries.
    - Switch to libglew-dev from libglew1.5-dev.
    - Add libportmidi-dev [linux-any] and enable MIDI I/O support.
    - Add libpng-dev and libjpeg-dev.
    - Remove Conflicts, Replaces, Provides fields for obsolete ultrastar
      package.
    - Remove Pre-Depends dpkg (>= 1.15.6)
    - performous: Add fonts-droid dependency.
    - performous: Remove Recommends: ${alsalibs:Recommends} substvar.
  * source/options: Use default xz compression.
  * Update desktop.patch to desktop-file.patch and create a valid desktop file.
  * Drop use-Boost-TIME_UTC_-constant-unconditionally.patch. Fixed upstream.
  * Drop FindFreetype.patch. Fixed upstream.
  * Drop libav0.8.patch. Fixed upstream.
  * Update README.source. Explain how one can obtain the original sources.
  * debian/docs: Do not install TODO.txt anymore. It does no longer exist.
  * Drop debian/h2m folder. It is obsolete.
  * Add longtitle to performous.menu.
  * Add performous-tools.install file.
  * Update README.Debian. Mention ~/.local/share/games/performous/songs as an
    alternative song location. (Closes: #718897)
  * Drop ultrastar-ng.links.
  * Update debian/copyright to copyright format 1.0. Add Sil Open Fonts
    license.
  * Install performous.svg to /usr/share/icons/hicolor/scalable/apps.

 -- Markus Koschany <apo@gambaru.de>  Sat, 08 Mar 2014 11:52:55 +0100
