=== debian/watch ===
version=3
http://sf.net/performous/performous-(.*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
