=== debian/changelog ===
performous (1.0-2) experimental; urgency=medium

  * Merge unstable changes from 0.7.0+git20140715-2 into experimental branch.
  * debian/rules: Build without Altivec on ppc64el to prevent build failures.
  * Remove source/options since performous uses CMake anyway.
  * Add fix-spelling-errors.patch:
    Fix spelling errors informations and Unkown. Thanks to Lintian.

 -- Markus Koschany <apo@gambaru.de>  Wed, 05 Nov 2014 11:55:48 +0100

performous (1.0-1) experimental; urgency=medium

  * Imported Upstream version 1.0.
  * Move the package to Git.
  * Update debian/watch and detect new releases at github.com.
  * Declare compliance with Debian Policy 3.9.6.
  * Drop README.source. The upstream sources are pristine.
  * Update debian/copyright. Add Apache-2.0 license paragraph.
  * Add fix-hyphen-used-as-minus-sign.patch to silence Lintian and forward the
    patch upstream.

 -- Markus Koschany <apo@gambaru.de>  Sat, 01 Nov 2014 17:04:05 +0100
