=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libxml++2.6-dev,
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/performous.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/performous.git
 Homepage: http://performous.org/
